import React from "react";
import { RovingTabIndexContext } from "../../../accessibility/RovingTabIndex";
interface IProps {
    query: string;
    onChange(value: string): void;
    onEnter(): void;
    onKeyDown(event: React.KeyboardEvent): void;
}
declare class Search extends React.PureComponent<IProps> {
    static contextType: React.Context<import("../../../accessibility/RovingTabIndex").IContext>;
    context: React.ContextType<typeof RovingTabIndexContext>;
    private inputRef;
    componentDidMount(): void;
    private onKeyDown;
    render(): React.ReactNode;
}
export default Search;
